=== drivers/Makefile ===
# vim:noexpandtab:softtabstop=2:tabstop=2:shiftwidth=2:nowrap
# 
# Copyright (c) 2015-2016, iwrite authors
# All rights reserved.
# 
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 
# 1. Redistributions of source code must retain the above copyright notice,
# this list of conditions and the following disclaimer.
# 
# 2. Redistributions in binary form must reproduce the above copyright
# notice, this list of conditions and the following disclaimer in the
# documentation and/or other materials provided with the distribution.
# 
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED
# TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

UNAME:= $(shell uname)

.PHONY: all
all: postgres sqlite3 mariadb oracle

.PHONY: postgres
postgres:
	@echo PostgreSQL
	cd postgres && ${MAKE} 

.PHONY: sqlite3
sqlite3:
	@echo SQLite
	cd sqlite3 && ${MAKE} 

.PHONY: mariadb
mariadb:
	@echo MariaDB
	cd mariadb && ${MAKE}

.PHONY: oracle
ifeq ($(UNAME), Linux)
oracle:
	@echo Oracle
	cd oracle && ${MAKE}
else
oracle:
	@echo Oracle not suppported on ${UNAME}
endif

.PHONY: clean
clean:
	cd postgres && ${MAKE} clean
	cd sqlite3 && ${MAKE} clean
	cd mariadb && ${MAKE} clean
	cd oracle && ${MAKE} clean
