=== drivers/oracle/Makefile ===
# vim:noexpandtab:softtabstop=2:tabstop=2:shiftwidth=2:nowrap
# Copyright (c) 2015, iwrite authors
# All rights reserved.
# 
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 
# 1. Redistributions of source code must retain the above copyright notice,
# this list of conditions and the following disclaimer.
# 
# 2. Redistributions in binary form must reproduce the above copyright
# notice, this list of conditions and the following disclaimer in the
# documentation and/or other materials provided with the distribution.
# 
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED
# TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

RANLIB=ranlib

# TODO: use ORACLE_HOME ?

INC= -I ../include \
	-I /usr/include/oracle/12.1/client64/ \
	-I /opt/oracle/instantclient_12_1/sdk/include

LDFLAGS= \
	-L /usr/lib/oracle/12.1/client64/lib \
	-L /opt/oracle/instantclient_12_1 \
	-l mql1\
	-l ipc1\
	-l nnz12\
	-l ons\
	-l clntshcore\
	-l clntsh \
	-l occi 

CXXFLAGS+=-D_GLIBCXX_USE_CXX11_ABI=0
CXXFLAGS+=-fPIC -Wall -ansi -pedantic -Wno-variadic-macros -ggdb ${INC}

OBJECTS=\
	iwsql_attr_delete.o\
	iwsql_connect.o\
	iwsql_delete.o\
	iwsql_exec.o\
	iwsql_new.o\
	iwsql_next.o\
	iwsql_result.o\
	iwsql_type_translate.o

TEST_OBJECTS=\
	test.o

includes = ${wildcard *.h}

.PHONY: all
all: libs test

test: ${TEST_OBJECTS} libs
	${CXX} -o $@ ${TEST_OBJECTS} libiwsql_oracle.a ${LDFLAGS}

.PHONY: libs
libs: libiwsql_oracle.so libiwsql_oracle.a

libiwsql_oracle.so: ${OBJECTS}
	${CXX} -shared -o $@ $? ${LDFLAGS}

libiwsql_oracle.a: ${OBJECTS}
	${AR} rvc $@ $?
	${RANLIB} $@

%.o : %.c ${includes}
	${CXX} -c ${CXXFLAGS} -o $@ $< 2> $@.err

clean:
	rm -f *.o
	rm -f *.o.err
	rm -f *.a
	rm -f *.so
	rm -f test
