=== src/GtkWidgetSkeleton/Makefile ===
# vim:noexpandtab:softtabstop=2:tabstop=2:shiftwidth=2:nowrap
#  CC0 1.0 Universal (CC0 1.0) Public Domain Dedication
#
# Deriviative works may remove this license dedication and incorporate
# their own.
# 
# GTK widget skeleton template

RANLIB=ranlib

GLIB=`pkg-config glib-2.0 --cflags`
GLIB_LIB=`pkg-config glib-2.0 --libs`

GTK=`pkg-config gtk+-3.0 --cflags`
GTK_LIB=`pkg-config gtk+-3.0 --libs`

includes = ${wildcard *.h}

CFLAGS=\
	${GLIB}\
	${GTK}\
	-pthread\
	-Wall\
	-ansi\
	-pedantic\
	-ggdb

LIBSKEL_OBJECTS=\
	comp.o\
	skel.o

libskel.a: ${LIBSKEL_OBJECTS}
	${AR} rvc $@ $?
	${RANLIB} $@

%.o : %.c ${includes}
	${CC} -c ${CFLAGS} -o $@ $< 2> $@.err

clean:
	rm -f *.o
	rm -f *.o.err
	rm -f *.a
	rm -f *.so
