=== drivers/sqlite3/amalgamation/Makefile ===
# vim:noexpandtab:softtabstop=2:tabstop=2:shiftwidth=2:nowrap
# Copyright (c) 2015, Mark J. Olesen
# All rights reserved.
# 
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 
# 1. Redistributions of source code must retain the above copyright notice,
# this list of conditions and the following disclaimer.
# 
# 2. Redistributions in binary form must reproduce the above copyright
# notice, this list of conditions and the following disclaimer in the
# documentation and/or other materials provided with the distribution.
# 
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED
# TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

RANLIB=ranlib

UNAME:= $(shell uname)

ifeq ($(UNAME), Linux)
LDFLAGS+= -ldl
endif

# SQLOPTS=-D SQLITE_ENABLE_COLUMN_METADATA -D SQLITE_OMIT_UTF16
SQLOPTS=-D SQLITE_OMIT_UTF16

INC+=-I./

CFLAGS+=${SQLOPTS} -fPIC -Wall -pedantic -ggdb ${INC}

LIB_OBJECTS=\
	sqlite3.o

SHELL_OBJECTS=\
	shell.o

includes = ${wildcard *.h}

.PHONY: all
all: shell libs

.PHONY: libs
libs: libsqlite3.so libsqlite3.a

libsqlite3.so: ${LIB_OBJECTS}
	${CC} -shared -o $@ $? 

libsqlite3.a: ${LIB_OBJECTS}
	${AR} rvc $@ $?
	${RANLIB} $@

shell: ${SHELL_OBJECTS} libs
	${CC} -o $@ ${SHELL_OBJECTS} -L./ -lsqlite3 -lpthread ${LDFLAGS}

%.o : %.c ${includes}
	${CC} -c ${CFLAGS} -o $@ $< 2> $@.err

clean:
	rm -f *.o
	rm -f *.o.err
	rm -f *.a
	rm -f *.so
	rm -f shell
