=== packaging/debian/control ===
Source: iwrite
Maintainer: Mark J. Olesen <markjolesen@gmail.com>
Section: misc
Priority: optional
Standards-Version: 3.9.2
Homepage: http://www.nongnu.org/iwrite/
Build-Depends: debhelper (>=9), libicu-dev, libgtk-3-dev, texlive-latex-recommended

Package: iwrite
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: SQL Report Writer
	Iwrite is a free software package for generating basic SQL based reports.
