=== packaging/debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_shlibdeps:
	dh_shlibdeps -X libiwsql_oracle.so -X libiwsql_pq.so -X libiwsql_mariadb.so -X libiwsql_sqlite3.so

#       dh_shlibdeps -l /opt/oracle/instantclient_12_1/ --dpkg-shlibdeps-params=--ignore-missing-info
